
package de.ivu.elect.presentation.gruppe.table;

import de.ivu.elect.business.gruppe.entity.GruppeKumulierteStimmen;
import de.ivu.elect.jee.faces.Messages;

public class GruppeKumulierteStimmenAnteilDirektstimmenDifferenzColumn extends AbstractGruppeKumulierteStimmenAnteilDifferenzColumn {

  private static final long serialVersionUID = 1L;

  public GruppeKumulierteStimmenAnteilDirektstimmenDifferenzColumn(Messages messages) {
    super(messages);
  }

  @Override
  protected Double getValueInternal(GruppeKumulierteStimmen gruppeKumulierteStimmen) {
    if (gruppeKumulierteStimmen.isHatDirektkandidatenInGebietshierarchie() || gruppeKumulierteStimmen.isAnzahlDirektstimmenVorperiodeVorhanden()) {
      return gruppeKumulierteStimmen.getAnteilDirektstimmenDifferenz();
    }

    return null;
  }
}
